> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Appointment Checklist

> Mark an appointment checklist item as completed or incomplete, triggering any related side effects.



## OpenAPI

````yaml post /check-in/calendar/appointment-checklist/update
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/appointment-checklist/update:
    post:
      tags:
        - Calendar and Appointments
      summary: Update Appointment Checklist
      description: >-
        Mark an appointment checklist item as completed or incomplete,
        triggering any related side effects.
      operationId: >-
        update_appointment_checklist_check_in_calendar_appointment_checklist_update_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppointmentChecklistItemUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Update Appointment Checklist Check In Calendar
                  Appointment Checklist Update Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AppointmentChecklistItemUpdate:
      properties:
        appointmentChecklistId:
          type: string
          title: Appointmentchecklistid
        eventId:
          type: string
          title: Eventid
        completedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completeddate
      type: object
      required:
        - appointmentChecklistId
        - eventId
      title: AppointmentChecklistItemUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````